## python-fedora 0.3.34

=== debian/changelog ===
python-fedora (0.3.34-1) unstable; urgency=medium

  * New upstream release
  * Install upstream changelog

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 14 Jul 2014 21:55:29 +0200

python-fedora (0.3.33-1) unstable; urgency=medium

  * Initial release. (Closes: #743132)

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 30 Mar 2014 22:01:31 +0200

## python-fedora 1.1.1

=== requirements.txt ===
munch
kitchen
requests
beautifulsoup4
openidc-client
urllib3
six

## python-fedora 0.3.36

=== debian/changelog ===
python-fedora (0.3.36-2) unstable; urgency=medium

  * Team upload.
  * Patch setup.py to use distutils setup as a workaround for problems with
    python-setuptools > 17 (Closes: #789982)
  * Add missing Vcs-* to debian/control

 -- Scott Kitterman <scott@kitterman.com>  Thu, 23 Jul 2015 01:43:36 -0400

python-fedora (0.3.36-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 19 Aug 2014 13:53:31 +0200

=== debian/control ===
Source: python-fedora
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-bunch,
               python-kitchen,
               python-pkg-resources,
               python-nose,
               python-requests,
               python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-fedora/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-fedora/trunk/
Homepage: https://fedorahosted.org/python-fedora/

Package: python-fedora
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python modules for interacting with Fedora Services
 The python-fedora module provides a Python API for connecting to web
 services provided by the fedora infrastructure.
 .
 Specifically, this package provides clients for the Fedora Account
 System, for the Fedora Package Database, for the Fedora Build System
 (bodhi), and for the Fedora wiki, as well as a more generic client for
 the other Fedora web services.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf fedora/tg/
	rm -rf fedora/tg2/
	rm -rf fedora/wsgi/
	rm -rf fedora/django/
	rm -rf flask_fas.py*
	rm -rf flask_fas_openid.py*

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
https://pypi.python.org/packages/source/p/python-fedora/python-fedora-(.+).tar.gz

## python-fedora 0.8.0

=== debian/changelog ===
python-fedora (0.8.0-1) unstable; urgency=medium

  [ SVN-Git Migration ]
  * Migrate from SVN to Git.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Sergio Durigan Junior ]
  * New upstream release.
  * Add myself to the Uploaders list.
  * Split package into python-fedora and python3-fedora.
  * New package python-fedora-doc.  Make python{,3}-fedora packages
    suggest it.
  * Bump Standards-Version to 3.9.8.
  * Add X-Python3-Version >= 3.2.
  * Use wrap-and-sort on debian/control.
  * Review copyright information for upstream package.
  * Fix license name typo on debian/copyright.
  * Add myself to the list of copyright holders for files under
    debian/*.
  * Improve debian/rules.  Remove dh_auto_clean override, which
    means that the package now includes all modules from upstream.
    Generate documentation using sphinx.  Adjust rules and variables
    for pybuild.  (Closes: #797253)
  * Improve debian/watch.  Bump version to 4.
  * Remove README.Debian since now we install the whole upstream
    package.

  [ Mattia Rizzolo ]
  * Remove doc/_build directory on clean.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Mon, 18 Jul 2016 22:28:21 -0400

=== debian/control ===
Source: python-fedora
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>, Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-kitchen,
 python-lockfile,
 python-munch,
 python-nose,
 python-pkg-resources,
 python-requests,
 python-setuptools,
 python3-all,
 python3-kitchen,
 python3-lockfile,
 python3-munch,
 python3-nose,
 python3-pkg-resources,
 python3-requests,
 python3-setuptools,
 python-sphinx,
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-fedora.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fedora.git
Homepage: https://fedorahosted.org/python-fedora/

Package: python-fedora
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-fedora-doc
Description: Python modules for interacting with Fedora Services (Python 2)
 The python-fedora module provides a Python API for connecting to web
 services provided by the fedora infrastructure.
 .
 Specifically, this package provides clients for the Fedora Account
 System, for the Fedora Package Database, for the Fedora Build System
 (bodhi), and for the Fedora wiki, as well as a more generic client for
 the other Fedora web services.
 .
 This package installs the library for Python 2.

Package: python3-fedora
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-fedora-doc
Description: Python modules for interacting with Fedora Services (Python 3)
 The python-fedora module provides a Python API for connecting to web
 services provided by the fedora infrastructure.
 .
 Specifically, this package provides clients for the Fedora Account
 System, for the Fedora Package Database, for the Fedora Build System
 (bodhi), and for the Fedora wiki, as well as a more generic client for
 the other Fedora web services.
 .
 This package installs the library for Python 3.

Package: python-fedora-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python modules for interacting with Fedora Services (common documentation)
 The python-fedora module provides a Python API for connecting to web
 services provided by the fedora infrastructure.
 .
 Specifically, this package provides clients for the Fedora Account
 System, for the Fedora Package Database, for the Fedora Build System
 (bodhi), and for the Fedora wiki, as well as a more generic client for
 the other Fedora web services.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://pypi.python.org/packages/source/p/python-fedora/python-fedora-(.+).tar.gz

## python-fedora 0.9.0

=== debian/changelog ===
python-fedora (0.9.0-1) unstable; urgency=medium

  * Updating d/watch and use github instead of pypi.
  * New upstream version 0.9.0
  * Bumping standards version to 4.0.1.
  * Rebasing (and removing) Debian local patches on top of new upstream version.
  * Add autopkgtest; replace Homepage by github (from fedorahosted).
  * Update upstream signature key.
  * Fix typos on manpage/docs.
  * Add lintian-overrides for manpage warnings.
    The manpage is generated automatically.
  * Bump compat level to 10.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Tue, 08 Aug 2017 17:16:33 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>, Sergio Durigan Junior <sergiodj@sergiodj.net>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all,
  python-kitchen,
@@ -23,12 +23,13 @@
  python3-requests,
  python3-setuptools,
  python-sphinx,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-fedora.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fedora.git
-Homepage: https://fedorahosted.org/python-fedora/
+Homepage: https://github.com/fedora-infra/python-fedora
+Testsuite: autopkgtest-pkg-python
 
 Package: python-fedora
 Architecture: all

## python-fedora 0.10.0

=== debian/changelog ===
python-fedora (0.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Sergio Durigan Junior ]
  * New upstream version 0.10.0
  * Bump Standards-Version to 4.1.3.
  * Bump d/compat version to 11.
  * Adjust paths on d/python-fedora-doc.doc-base.
    Due to debhelper 11, dh_installdocs now installs documentation under
    the main package's directory (in our case,
    /usr/share/doc/python-fedora/), as per Debian Policy 12.3.
  * Use 'Multi-Arch: foreign' for python-fedora-docs package.
  * Build-depend on python3-sphinx.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Thu, 15 Feb 2018 15:00:26 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>, Sergio Durigan Junior <sergiodj@sergiodj.net>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-kitchen,
@@ -23,11 +23,12 @@
  python3-requests,
  python3-setuptools,
  python-sphinx,
-Standards-Version: 4.0.1
+ python3-sphinx,
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-fedora.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-fedora.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-fedora.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fedora
 Homepage: https://github.com/fedora-infra/python-fedora
 Testsuite: autopkgtest-pkg-python
 
@@ -64,6 +65,7 @@
 Package: python-fedora-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Python modules for interacting with Fedora Services (common documentation)
  The python-fedora module provides a Python API for connecting to web

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = fedora

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf doc/_build

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR)/ http_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml doc/ doc/_build/html
	PYTHONPATH=$(CURDIR)/ http_proxy='127.0.0.1:9' \
		sphinx-build -N -bman doc/ doc/_build/man

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/fedora-infra/python-fedora/releases \
	.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## python-fedora 1.1.1

=== debian/changelog ===
python-fedora (1.1.1-5) unstable; urgency=medium

  * Team Upload.
  * Move python3-pkg-resources dep to the right spot
  * Fix SyntaxError (Closes: #1085911)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 16:11:41 +0100

python-fedora (1.1.1-4) unstable; urgency=medium

  * Team Upload.
  * Replace python3-nose usage with python3-pytest (Closes: #1018491)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 14:31:13 +0200

python-fedora (1.1.1-3) unstable; urgency=medium

  * Use python3-filelock instead of python3-lockfile.
    - d/control: B-D on python3-filelock.
    - d/p/0002-Use-filelock-instead-of-lockfile.patch: Adjust code to use
      python3-filelock. (Closes: #1073840)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 19 Jun 2024 14:10:17 -0400

python-fedora (1.1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Sergio Durigan Junior ]
  * d/control: B-D on python3-six. (Closes: #1073376)
  * d/p/0001-s-DEFAULT_METHOD_WHITELIST-DEFAULT_ALLOWED_METHODS.patch:
    Replace deprecated Retry.DEFAULT_METHOD_WHITELIST with
    Retry.DEFAULT_ALLOWED_METHODS, fixing FTBFS with urllib3.
  * d/control: Bump Standards-Version; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 16 Jun 2024 17:32:37 -0400

python-fedora (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * d/control: Bump Standards-Version to 4.5.1.
  * d/p/0001-Fix-typos-on-manpanges-docs.patch: Remove.
    The patch has been incorporated by upstream.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 20 Dec 2020 19:07:19 -0500

python-fedora (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sergio Durigan Junior ]
  * d/watch: Fix version checking.
    The previous d/watch was incorrectly checking for new versions of the
    package.  It was also expecting a GPG signature to be available, which
    is not published by upstream anymore.
  * New upstream version 1.1.0 (Closes: #973217)
  * d/p/0001-Fix-typos-on-manpanges-docs.patch: Update patch.
  * d/control: Bump Standards-Version to 4.5.0.
  * d/upstream/signing-key.asc: Remove.
    Upstream is apparently not signing the tarballs anymore, so let's just
    get rid of the signing key and silence a few lintian warnings.  If
    upstream decides to sign the tarballs again, we can restore it.
  * d/control: Update my email address.
  * d/copyright: Update entries.
  * d/python-fedora-doc.lintian-overrides: Remove; not needed anymore.
  * d/control: Bump debhelper-compat to 13.
  * d/control: Add Rules-Requires-Root: no.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 07 Nov 2020 17:35:29 -0500

python-fedora (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * Fix doc-base.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * python-fedora-doc.lintian-overrides: Fix for new manpage

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Aug 2019 10:04:40 +0200

=== debian/control ===
Source: python-fedora
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>, Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-kitchen,
 python3-filelock,
 python3-munch,
 python3-pytest <!nocheck>,
 python3-requests,
 python3-setuptools,
 python3-sphinx,
 python3-six,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fedora.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fedora
Homepage: https://github.com/fedora-infra/python-fedora
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-fedora
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Suggests: python-fedora-doc
Description: Python modules for interacting with Fedora Services (Python 3)
 The python-fedora module provides a Python API for connecting to web
 services provided by the fedora infrastructure.
 .
 Specifically, this package provides clients for the Fedora Account
 System, for the Fedora Package Database, for the Fedora Build System
 (bodhi), and for the Fedora wiki, as well as a more generic client for
 the other Fedora web services.
 .
 This package installs the library for Python 3.

Package: python-fedora-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python modules for interacting with Fedora Services (common documentation)
 The python-fedora module provides a Python API for connecting to web
 services provided by the fedora infrastructure.
 .
 Specifically, this package provides clients for the Fedora Account
 System, for the Fedora Package Database, for the Fedora Build System
 (bodhi), and for the Fedora wiki, as well as a more generic client for
 the other Fedora web services.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = fedora

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf doc/_build

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR)/ http_proxy='127.0.0.1:9' \
		python3 -m sphinx -N -bhtml doc/ doc/_build/html
	PYTHONPATH=$(CURDIR)/ http_proxy='127.0.0.1:9' \
		python3 -m sphinx -N -bman doc/ doc/_build/man

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/fedora-infra/python-fedora/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
